/*
 Alina Campan - AttributeType.java
 -----------------------------
 Date Created: 	08-10-2006
 Date Modified:	03-17-2008
 -----------------------------
 
 It contains the following class:
 	
	- AttributeType - represents the possible types for the attributes that characterize the data for p-sensitive k-anonymity 
*/

/** 
* The class AttributeType consists in only two symbolic int constants that serve to distinguish the types of attributes.
* 
* Each of the attributes that characterize the data are of one of the attribute types defined in the class AttributeType;
* currently there are defined and used two such attribute types: numeric or categorical attributes.
* 
* Depending on their types, the attributes are interpreted and used differently when calculating the clusters summaries, 
* distance between data entities (records) and information loss for clusters.
*/

public class AttributeType {
	 public static final int NUMERIC = 0;
	 public static final int CATEGORICAL = 1;
}
